.text-limit-2 {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    /* number of lines to show */
    line-clamp: 2;
    -webkit-box-orient: vertical;
}

.text-limit-1 {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 1;
    /* number of lines to show */
    line-clamp: 1;
    -webkit-box-orient: vertical;
}

.store-banner {
    padding: 90px 0;
}

.discount-per {
    color: #B11A83;
    background-color: #B11A831F;
    /* border-radius: 6px; */
    /* padding-left: 6px;
    padding-right: 6px; */
    font-size: 12px;
}

.actualprice {
    font-size: 16px;
    font-weight: 900;
    color: #5b47fb;
}

.sellingprice {
    font-size: 12px;
    padding-left: 6px;
    text-decoration: line-through;
    color: #7987A1 !important;
}

.dealtimer {
    background-color: rgb(0, 0, 0, 0.5);
    color: #ffffff;
    padding: 0px 8px;
    border-radius: 4px;
    margin-top: 8px;
    font-weight: 500;
    font-size: 11px;
    position: absolute;
    z-index: 1;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
}

.dealtimer {
    background-color: rgb(0, 0, 0, 0.5);
    color: #ffffff;
    padding: 0px 8px;
    border-radius: 4px;
    margin-top: 8px;
    font-weight: 500;
    font-size: 11px;
    position: absolute;
    z-index: 1;
    border-top-left-radius: 0px;
    border-bottom-left-radius: 0px;
}

.storetruck,
.Wishlist {
    background-color: rgb(0, 0, 0, 0.5);
    color: #fff;
    padding: 0px 8px;
    margin-top: 8px;
    font-weight: 500;
    font-size: 11px;
    position: absolute;
    z-index: 1;
    border-radius: 4px;
    float: right;
    right: 34px;
    margin-right: 8px;
}

.Wishlist {
    right: 0;
    z-index: 15;
}
.cursor-pointer {
    cursor: pointer;
}

.store-banner {
    padding: 50px 0px 50px 0px;
}


.conbox {
    width: 100%;
    height: 260px;
    overflow: auto;
    text-align: justify;
}





.navbar-brand img {
    height: 24px;
}

.middle-nav {
    padding: 8px 0;
}

.middle-nav .navbar-nav .nav-link {
    font-size: 13px;
}

.nav-menu {
    background: #9D036E;
    border-bottom: none;
    ;
}

.coupon-deal-detail-main-block .coupon-deal-detail-main-img {
    border-radius: 6px;
    height: 385px;
}

.got-badge {
    bottom: -30px;
    position: absolute;
    right: 30px;
}

p {
    color: #7987A1 !important;
}

.custom-nav .nav-link.active,
.custom-nav .nav-link:hover,
.custom-nav .nav-link:focus {
    border-color: #b01a83;
    color: #b01a83;
}

.slcatimage {
    width: 90px;
    height: 90px;
    border-radius: 100%;
    background: #C0CCDA4D;
    padding-top: 14px;
    padding-left: 14px;
    margin-left: auto;
    margin-right: auto;
    cursor: pointer;

}

.cursor-pointer {
    cursor: pointer;
}

.slcatimage img {
    width: 60px !important;
    border-radius: 100%;
    position: absolute;
    /* right: 40px; */
    top: 14px;
}

.slcattitle {}

.owl-pagination {
    position: absolute;
    right: 0;
    top: -50px;
}

.home-merchantsl {
    height: 160px;
    background-color: #f8f8f8;
    border-radius: 30px;
    width: 160px;
    padding-top: 26px;
}

.home-merchantsl img {
    width: 100px !important;
    border-radius: 30px;
    margin-left: auto;
    margin-right: auto;
}

.btn {
    border-radius: 6px;
}

.tuc-pp-login {
    border: none;
    max-width: 700px;
    min-height: 420px;
}


.tuc-pp-login-body {
    border: none;
    padding: 0px;
    background-color: #ffecf9;
    border-radius: 12px;
}

.tuc-login-leftitem {
    border-top-left-radius: 12px;
    border-bottom-left-radius: 12px;
}

.tuc-login-rightitem {
    background-color: #ffffff;
    border-top-right-radius: 12px;
    padding: 20px 28px;
    border-bottom-right-radius: 12px;
    border-bottom-left-radius: 12px;
    border-top-left-radius: 12px;
    min-height: 420px;
}

.form-check-inline {
    display: inline-flex;
}

.nav-item.tucmenuitem a.activeLink {
    font-weight: 900;
    color: #fff !important;
}


@media(min-width: 992px) {
    .tuc-login-rightitem {
        border-bottom-left-radius: 0px;
        border-top-left-radius: 0px;
    }
}


.modal-content {
    border-radius: 12px;
}

label {
    margin-bottom: 4px;
    font-size: 12px;
    /* color: #7987a1 !important; */
    color: #32353E !important;
}

.form-control {
    color: #32353E;
    border-color: #e3e5e6;
    border-radius: 6px;
    font-size: 14px;
    font-weight: 300;
    padding: 0px 15px;
    min-height: 48px;
}

.form-control:focus {
    color: #32353E;
    background-color: #fff;
    border-color: rgb(177 26 131 / 1%);
    outline: 0;
    box-shadow: 0 0 4px 4px rgb(177 26 131 / 10%);
}

.form-control-otp {
    color: #32353E;
    border-color: rgba(121, 135, 161, 0.5) !important;
    background-color: #FCFCFC;
}

.tuc-pp-search {
    border: none;
    min-width: 100%;
    min-height: 420px;
    margin-top: 0px;
    margin-bottom: 0px;
    margin: 0px;
    position: fixed;
    top: calc(48vh - 300px);
}

.tuc-pp-search .modal-content {
    border-radius: 0px;
    min-height: 100vh;
    background: transparent;
}

.tuc-pp-search-close {
    font-size: 3.5rem;
    color: #ccc;
    margin-top: 20px;
}

.tuc-pp-search-body {}

.tuc-pp-search-input {
    width: 100%;
    border: none;
    border-bottom: 1px solid #e9e9e9;
    margin-top: 28px;
    border-radius: 0;
    font-size: 20px;
    padding: 8px;
}

.homesl1 {
    height: 23rem;
    border-radius: 8px;
    background-size: cover;
    background-repeat: no-repeat;
    width: 100%;
    cursor: pointer;
}

.custom-card,
.filters {
    -webkit-transition-duration: 0.3s;
    transition-duration: 0.3s;
    -webkit-transition-property: transform;
    transition-property: transform;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
}

.homesl1title {
    background-color: rgb(0 0 0 / 50%);
    position: absolute;
    padding: 8px 16px;
    color: #ffffff;
    bottom: 0;
    left: 0;
    z-index: 0;
    font-size: 18px;
    width: 50%;
    line-height: 34px;
    border-radius: 8px;
    border-top-left-radius: 0px;
    border-bottom-right-radius: 0px;
}

.owl-theme .owl-dots,
.owl-theme .owl-nav {
    /* margin-top: 10px;
    position: absolute;
    right: 0; */
    /* text-align: left !important; */
    /* margin-top: 10px !important;
    position: absolute !important;
    top: -50px !important;
    right: 0 !important; */
}

.owl-theme .owl-dots .owl-dot span {
    background: rgb(176 26 131 / 20%) !important;
}

.owl-theme .owl-dots .owl-dot.active span,
.owl-theme .owl-dots .owl-dot:hover span {
    background: rgb(176 26 131 / 80%) !important;
}


section.top-nav {
    display: block;
}

.tucmenu {
    border: none;
}

.tucmenuitem {
    margin: 0 !important;

}

.tucmenuitemlink {
    border: none !important;
    border-radius: 0px !important;
    color: #dbdbdb !important;
    font-size: 13px !important;
}

.tucmenuitemlink :hover {
    margin: 0 !important;
    border: none !important;
    border-radius: 0px !important;
    color: #ffffff !important;

}

.tucmenuitemlink :focus {
    margin: 0 !important;
    border: none !important;
    border-radius: 0px !important;
    color: #ffffff !important;

}

.owl-theme .owl-nav [class*=owl-] {
    background: #fff none repeat scroll 0 0 !important;
    border-radius: 30px !important;
    box-shadow: 0 2px 16px 0 rgb(0 0 0 / 20%);
    color: #000 !important;
    display: inline-block !important;
    font-size: 21px !important;
    height: 40px;
    line-height: 40px;
    margin: 0 !important;
    text-align: center;
    text-transform: uppercase;
    width: 40px;
}

@media (max-width: 575.98px) {
    .homesl1 {
        height: 200px;
    }

    .homesl1title {
        background-color: rgb(0 0 0 / 57%);
        position: absolute;
        padding: 8px 16px;
        color: #ffffff;
        bottom: 0;
        font-size: 14px;
        width: 100%;
        line-height: 34px;
        border-radius: 8px;
    }
    .tuc-container {
        padding-top: 115px !important;
    }
    #category-off-section {
        min-height: 171px !important;
    }
    #category-off-section .category-off-item{
        height: 67.67px !important;
        border-radius: 3.2px !important;
    }
    #category-off-section .category-off-item p{
        font-weight: 900;
        font-size: 18px;
    }
    #category-off-section .category-off-item h1{
        font-size: 9px;
        font-weight: 900;
        padding-bottom: 0;
        margin: 0;
    }
    .owl-item img{
        height: 142px !important;
    }
    #deals-carousel .custom-card .custom-card-image{
        padding: 12px 12px 0 !important;
    }
}

.ribbon {
    position: absolute;
    right: -5px;
    top: -5px;
    z-index: 1;
    overflow: hidden;
    width: 75px;
    height: 75px;
    text-align: right;
}

.ribbon span {
    font-size: 10px;
    font-weight: bold;
    color: #FFF;
    text-transform: uppercase;
    text-align: center;
    line-height: 20px;
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    width: 100px;
    display: block;
    background: #79A70A;
    background: linear-gradient(#B11A83 0%, #D61F9F 100%);
    box-shadow: 0 3px 10px -5px rgba(0, 0, 0, 1);
    position: absolute;
    top: 19px;
    right: -21px;
}

.ribbon span::before {
    content: "";
    position: absolute;
    left: 0px;
    top: 100%;
    z-index: -1;
    border-left: 3px solid #D61F9F;
    border-right: 3px solid transparent;
    border-bottom: 3px solid transparent;
    border-top: 3px solid #D61F9F;
}

.ribbon span::after {
    content: "";
    position: absolute;
    right: 0px;
    top: 100%;
    z-index: -1;
    border-left: 3px solid transparent;
    border-right: 3px solid #D61F9F;
    border-bottom: 3px solid transparent;
    border-top: 3px solid #D61F9F;
}

.custom-card-body h6 {
    font-size: 15px;
}
.merchant-address-card-body h6,
.merchant-address-card-body p {
    font-size: 13px;
}
.delivery-method-selection .delivery-btn.active{
    background: #222529;
    color: #fff;
}
.delivery-method-selection .delivery-btn{
    border: 1px solid rgba(121, 135, 161, 0.5);
    height: 32px;
    display: flex;
    justify-content: center;
    align-items: center;
    background: #fff;
    color: #222529;
    padding: 0 14px;
}
.Customer_shippingAddress.Customer_partner .partner_name{
    color: #32353E !important;
    font-size: 13px;
}
.Customer_shippingAddress.Customer_partner .partner_delivery_time{
    color: #32353E!important;
    font-style: italic;
}
.Customer_shippingAddress.Customer_partner h6{
    line-height: 1.5;
}
.Customer_shippingAddress.Customer_partner .custom-control-label::before,
.Customer_shippingAddress.Customer_partner .custom-control-label::after{
    top:25%;
}




@media (min-width: 1400px) {

    .container,
    .container-lg,
    .container-md,
    .container-sm,
    .container-xl,
    .container-xxl {
        max-width: 1140px;
    }
}


.checkout {
    border: none;
    max-width: 400px;
    min-height: 420px;
}

.checkout-body {}

.checkout-title {
    text-align: center;
    font-weight: 700;
    font-size: 32px;
    margin-top: 34px;
    padding-bottom: 4px;
}

.checkout-subtitle {
    text-align: center;
    font-weight: 500;
    color: #4a4a4a;
    padding-bottom: 20px;
}

/* .checkout-text
{
    text-align: center;
    font-weight: 500;
    color: #676767;
    padding-bottom: 16px;
} */

.checkout-tucw {
    line-height: 36px;
    margin-bottom: 16px;
    padding: 8px;
    border: 1px solid #efefef;
    border-radius: 8px;
    background-color: #fbfafa;
}




.search-cat {
    background-color: #f1f1f1;
    border-radius: 30px;
    padding: 4px 12px;
    font-weight: 600;
    margin-right: 12px;
    display: inline-block;
    margin-bottom: 16px;
    cursor: pointer;
}

.search-cat-img {
    width: 24px;
    margin-right: 8px;
}

.search-cat-title {
    padding-top: 4px;
}

.tuc-loc-search {
    background-color: #ebebeb;
}


.tuc-loc-search-item {
    width: 24%;
    float: left;
    background-color: #ffffff;
    margin-left: 1%;
    margin-bottom: 1%;
    padding: 8px 12px;
    border-radius: 4px;
    cursor: pointer;
}

.tuc-loc-search-item :hover {
    color: #b11a83;
}

.tuc-loc-search-item-count {
    float: right;
    font-size: 12px;
    font-weight: 600;
}

.tuc-loc-search-title {
    font-size: 18px;
}



.modal-header-search {
    background-color: #ebebeb;
    border: none;
}


.tuc-container {
    padding-top: 145px;
}

.cityname {
    color: #B11A83;
    padding-right: 4px;
    font-size: 12px;
    font-weight: 900;
}


.dd-servicebadge {
    color: #a43181;
    font-size: 13px;
    background-color: #a4318121;
    padding: 12px 10px;
    border-radius: 4px;
    margin-right: 8px;
    font-weight: 600;
}

/* new design css */
.bg-gray{
    background-color: #f3f2f3;
}
/* owl-carousel next prev button css */
.owl-carousel .owl-nav .owl-next,
.owl-carousel .owl-nav .owl-prev{
    position: absolute;
    top: 40%;
    display: flex !important;
    align-items: center;
    justify-content: center;
    font-weight: 600;
    background: #D9D9D9 !important;
}
.owl-carousel .owl-nav .owl-prev{
    left: 0;
}
.owl-carousel .owl-nav .owl-next{
    right: 0;
}
.owl-stage{display:flex}
.owl-carousel .owl-nav .owl-prev .icofont-thin-left::before{
    content: "\f053";
    font-family: 'Font Awesome 5 Free';
}
.owl-carousel .owl-nav .owl-next .icofont-thin-right::before{
    content: "\f054";
    font-family: 'Font Awesome 5 Free';
}
.owl-carousel .owl-nav .owl-prev .icofont-thin-left,
.owl-carousel .owl-nav .owl-next .icofont-thin-right{
    font-weight: 600 !important;
    font-size: 13px !important;
    color: #141414 !important;
}
.owl-carousel .owl-nav .owl-prev.disabled,
.owl-carousel .owl-nav .owl-next.disabled{
    display: none !important;
}
/* @media (min-width: 2100px){
    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: calc(100%-20px);
    }
}
@media (min-width: 1400px){
    .container, .container-lg, .container-md, .container-sm, .container-xl, .container-xxl {
        max-width: calc(100% - 18%);
    }
} */
#banner .banner_category-list{
    background: #fff;
    border: 0.5px solid #D9D9D9;
    min-height: 410px;
    border-radius: 5px;
    box-shadow: 0px 0px 0px rgba(137, 137, 137, 0.05), 0px 0px 0px rgba(137, 137, 137, 0.05)
}
#banner .banner_category-list h6{
    padding: 2rem 2rem 0;
}
#banner .banner_category-list ul{
    list-style: none;
    max-height: 334px;
    min-height: 334px;
    overflow-y: auto;
}
#banner .banner_category-list ul li{
    padding: 0 2rem;
}
#banner .banner_category-list ul li span{
    color: #000;
}
#banner .banner_flash-deals a img{
    border-radius: 10px;
}
#banner .banner_flash-deals .banner_flash-deals-item{
    background: #C4C7D2;
    border-radius: 10px;
    border: none;
    min-height: 98px;
}
#banner .banner_flash-deals .banner_flash-deals-carousel{
    min-height: 315px;
}
.flash-top{
    background-color:#FAEDF0 !important;
}
#deals-carousel .deals-carousel-item_header{
    background-color: rgba(239, 209, 230, 1);
    min-height: 62px;
}
#deals-carousel .custom-card:not(.skeleton-card):hover{
    /* border: 1px solid #C0CCDA; */
    box-shadow: 0px 0px 3px 2px #c0ccda !important;
}
#deals-carousel .custom-card{
    box-shadow: 0px 0px 3px 0px #c0ccda !important;
    background-color: #fff;
    border-radius: 0;
    transition: all 0.3s ease-in-out;
}
#deals-carousel .custom-card .new-deal-badge{
    background-color: #36A100;
}
#deals-carousel .custom-card .soldout-badge{
    background-color: #3F2960;
}
#deals-carousel .custom-card .new-deal-badge,
#deals-carousel .custom-card .soldout-badge{
    font-weight: 600;
    font-size: 16px;
    line-height: 20.11px;
    margin-top: 0;
    padding: 7px 8px;
    border-radius: 0;
}
#deals-carousel .custom-card .custom-card-image{
    padding: 1rem 1rem 0;
}
#deals-carousel .custom-card .custom-card-image .item-img{
    height: 220px;
    border-radius: 10px;
}
#deals-carousel .custom-card .custom-card-body .Ttitle {
    height: 30px;
}
#deals-carousel .custom-card .custom-card-body .Ttitle a{
    font-weight: 400;
    font-size: 12px;
    line-height: 15.8px;
}
#deals-carousel .custom-card .custom-card-body p{
    color:#434343 !important;
    font-size: 13px;
    font-weight: 500;
    list-style: 16.34px;
}
#deals-carousel .custom-card .custom-card-footer .actualprice{
    font-size: 13px;
    font-weight: 400;
    list-style: 16.34px;
}

#deals-carousel .custom-card .custom-card-footer .discount-per{
    /* height: 25px; */
    width: 75px;
    background-color: #B11A83;
    color: #fff;
    font-weight: 400;
    font-size: 12px;
    border-radius: 5px;
    padding: 5px;
}
#category-off-section{
    min-height: 521px;
    background-color:#FFF8FD;
    display: flex;
    justify-content: center;
    align-items: center;
}
#category-off-section .category-off-item{
    border-radius: 10px;
    height: 224px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    background-image: url('../../assets/images/custom-card/Rectangle_2130.jpg');
    background-position: center;
    background-size: cover;
}
#official-stores .category-off-item span {
    line-height: 20px;
    padding: 0 0.5rem;
    font-weight: 600 !important;
    font-family: 'BR Firma Bold' !important;
    line-height: 18px !important;
}
#official-stores .category-off-item::before {
    content: '';
    background-image: var(--store-img);
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
    width: 100%;
    height: 100%;
    opacity: 0.6;
    border-radius: 9px;
    border-radius: 10px;
}
#official-stores .category-off-item{
    height: 100px;
    width: 140px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
}

nav ol.breadcrumb{
    background: transparent;
}
.breadcrumb-item a{
    color:#C4C4C4;
}
nav ol.breadcrumb .breadcrumb-item.active{
    color: #9D106E;
}

.breadcrumb-item+.breadcrumb-item::before{
    font-family: 'FontAwesome';
    content: "\f105";
    font-weight: 600;
    font-size: 16px;
    color:#C4C4C4;
}

#dealmanager-deals-page .filters{
    border: none;
    background-color: #fff;
    border-radius: 10px;
}
#dealmanager-deals-page .filters .filters-header .btn-clearfilter{
    color:#B11A83;
    border: none;
    font-weight: 500;
    font-size: 14px;
    border-radius: 5px;
    padding: 4px 8px;
    background-color: #FAEDF0;
}
#dealmanager-deals-page .filters .filters-header p span{
    font-weight: 600;
    font-size: 14px;
    color: #32353E;
}
#dealmanager-deals-page .filters .filters-body #accordion .accordion-button.collapsed:focus,
#dealmanager-deals-page .filters .filters-body #accordion .accordion-button:focus{
    outline: none;
    box-shadow: none;
}
#dealmanager-deals-page .filters .filters-body #accordion .accordion-button{
    color: #32353E;
    outline: none;
    box-shadow: none;
    font-size: 14px;
    font-weight: 600;
    background: none;
}
#dealmanager-deals-page .filters .filters-body #accordion .accordion-body{
    padding-top: 0;
}


/* width */
::-webkit-scrollbar {
    width: 3px;
  }
  
  /* Track */
  ::-webkit-scrollbar-track {
    /* box-shadow: inset 0 0 3px grey; 
    border-radius: 5px; */
    display: none;
  }
   
  /* Handle */
  ::-webkit-scrollbar-thumb {
    background: #C4C7D2; 
    border-radius: 1.5px;

  }
  
  /* Handle on hover */
  ::-webkit-scrollbar-thumb:hover {
    background: #C4C7D2; 
    border-radius: 1.5px;
  }